import request from '@/utils/request'

// 查询分区列表
export function listPart(query) {
  return request({
    url: '/bst/part/list',
    method: 'get',
    params: query
  })
}

// 查询分区详细
export function getPart(partId) {
  return request({
    url: '/bst/part/' + partId,
    method: 'get'
  })
}

// 新增分区
export function addPart(data) {
  return request({
    url: '/bst/part',
    method: 'post',
    data: data
  })
}

// 修改分区
export function updatePart(data) {
  return request({
    url: '/bst/part',
    method: 'put',
    data: data
  })
}

// 删除分区
export function delPart(partId) {
  return request({
    url: '/bst/part/' + partId,
    method: 'delete'
  })
}
